type ThermostatType {
  
  state continuous number x := 50;  // average temperature

  discrete
    heater_off {  x' = -x + 50; },
    heater_on  {  x' = -x + 100; };

  transition
    heater_off -> heater_on  {} when { x<= 73},
    heater_on  -> heater_off {} when { x>= 77};
		
}

global ThermostatType thermostat;

setup
  define {
    thermostat := create(ThermostatType, x:= 60);
  }
